test/nocomments.sh

changeset 68
ae763178ee1e
parent 57
68018eac46c3
--- a/test/nocomments.sh	Fri Jun 03 20:06:08 2022 +0200
+++ b/test/nocomments.sh	Fri Sep 22 23:26:23 2023 +0200
@@ -29,16 +29,13 @@
 
 echo -n "Verifying correctness of line count without comments: "
 
-clineprg="$(pwd)/../src/cline"
-
-cd $srcdir
-count=`$clineprg -Vs testfile.c --exclude-cstyle-comments`
+count=`../build/cline -Vs testfile.c --exclude-cstyle-comments`
 expected=12
 
 if [ "$count" -eq "$expected" ]; then
     echo "OK."
-    exit 0;
+    exit 0
 else
     echo "FAIL! $count is not $expected"
-    exit 1;
+    exit 1
 fi

mercurial